﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
	font-family: Arial,'Helvetica Neue', Helvetica, sans-serif;
	font-size: 16px;
}


/*======
  Tables

=========*/
#menu {
	transition: height 500ms ease;
}



.table {
	background-color: white;
}

/*.ClassStats {
  text-align: center;
}*/

.card-header {
	background-color: rgb(0, 66, 100);
	color: white;
}

.noborder {
	border: none;
}

.Headings {
	text-align: center;
	background-color: rgb(0, 66, 100);
	color: white;
	border-radius: 5px;
	font-weight: 600;
	padding: 3px;
}

.imgshadow {
	border-radius: 100%;
	width: 100%;
	max-width: 255px;
	box-shadow: 3px 4px 14px darkslategrey;
	border: 1px solid white;
}


.QuickLinks {
	font-size: 1rem !important;
}



table {
	font-family: arial, sans-serif;
	border-collapse: collapse;
	width: 100%;
	font-size: 12px;
}

td, th {
	text-align: left;
	margin: 0px;
	border-width: 1px;
}

#outPopUp {
	position: absolute;
	width: 30vh;
	height: auto;
	z-index: 15;
	top: 20%;
	left: 50%;
	margin: -100px 0 0 -150px;
	text-align: right;
}


#PopUpBackGround {
	background-color: black;
	height: 100vh;
	width: 100%;
	position: absolute;
	z-index: 1;
	opacity: 0.5;
}

.iframeResponse {
	width: 100%;
	height: 0;
	padding-bottom: 56.25%;
	position: relative;
}

.responsiveTableHeight {
	width: 100%;
	height: 0;
	padding-bottom: 56.25%;
	position: relative;
}

responsiveTableHeight table {
	position: absolute;
	width: 100%;
	height: 100%;
}


.iframeResponse iframe {
	position: absolute;
	width: 100%;
	height: 100%;
}

.table-button {
	background-color: grey;
	padding: 5px;
	margin: 8px;
	color: white;
	border-color: darkgray;
}

.Action_Cancel > button {
	display: table-cell;
	margin: 0 20px 0 0;
}



th {
	background-color: lightslategray;
	color: white;
}

	th input {
		padding: 0;
		margin: 0;
		width: 100%;
	}

table .btn {
	font-size: 12px;
}

.btn-primary {
	color: #fff;
	background-color: #1b6ec2;
	border-color: #1861ac;
}


.content {
	padding-top: 1rem;
	min-height: calc(100vh - 11vh);
}

/*table tr:nth-child(even) .Others {
  background-color: #EDFFFF;
}

table tr:nth-child(odd) .Others {
  background-color: #E0EBEB;
}*/

.Saturday, .Sunday {
	background-color: #D5E0EE !important;
}

.SmallBorderRight {
	border-style: none solid none none;
	border-width: thin;
	padding: 0px 10px 0px 0px;
}


.ImageOverlay {
	border-radius: 50%;
	width: 50%;
	height: auto;
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.validation-message {
	color: red;
}


.col-12 {
	margin-bottom: 25px;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

#table-wrapper {
	position: relative;
}

#table-scroll {
	max-height: 300px;
	overflow: auto;
	overflow-x: hidden;
	border: 1px solid;
}

#table-wrapper table {
	width: 100%;
}


.card-body {
	padding: 1rem 1rem 1rem 1rem;
	overflow-x: auto;
}



#table-wrapper table thead th .text {
	position: absolute;
	top: -20px;
	z-index: 2;
	height: 20px;
	width: 35%;
	border: 1px solid red;
}

.HoverMe:hover + .ShowOnHover {
	opacity: 1.0;
}

.ShowOnHover {
	opacity: 0.0;
	-webkit-transition: all 500ms ease-in-out;
	-moz-transition: all 500ms ease-in-out;
	-o-transition: all 500ms ease-in-out;
	transition: all 500ms ease-in-out;
}



table .btn {
	width: 100%;
}

.ClassCardContainer {
	margin: 20px 0px 0px 20px;
	flex: 0 0 auto;
	width: calc(25% - 20px);
}

.TypesSection {
	place-content: center flex-start;
	width: 100%;
	overflow-x: auto;
	display: inline-flex;
	padding-bottom: 45px;
}

.ClassesSection {
	width: 100%;
	overflow-x: auto;
	display: inline-flex;
	padding-bottom: 45px;
}

.ClassCard {
	border-radius: 10px;
	cursor: pointer;
	display: block;
	transform: scale(1);
	width: 100%;
	min-height: 100px;
	transition: all 250ms cubic-bezier(0.25, 0.46, 0.45, 0.94) 0s !important;
	color: white;
	background-image: linear-gradient(rgb(58, 60, 74), rgb(36, 38, 50));
	box-shadow: rgba(0, 0, 0, 0.69) 0px 26px 30px -10px, rgba(0, 0, 0, 0.73) 0px 16px 10px -10px;
	text-align: center;
	padding: 10%;
	/*background-color: lightseagreen;
  box-shadow: cadetblue 0px 26px 30px -10px, cadetblue 0px 16px 10px -10px;*/
}

	.ClassCard::after {
		border-radius: 10px;
		border: 3px solid rgba(249, 249, 249, 0.1);
		inset: 0px;
		content: "";
		pointer-events: none;
		position: absolute;
		transition: inherit;
	}

.ClassName {
}

.ClassList {
}

.ClassName h3 {
	font-size: 1rem;
	font-weight: bold;
}


.HideOnSmallScreens {
	display: none;
}

.TransposeTable thead {
	display: none;
}

.TransposeTable thead {
	display: none;
}

.TransposeTable, .TransposeTable tbody, .TransposeTable tr, .TransposeTable td {
	display: block;
	width: 100%;
}

	.TransposeTable tr {
		margin-bottom: 15px;
		border: double;
	}

	.TransposeTable td {
		text-align: right;
		padding-left: 50%;
		padding-right: 15px;
		position: relative;
	}

	.TransposeTable .ClassDetail {
		text-align: left;
		padding-left: 50%;
		position: relative;
	}

	.TransposeTable td::before {
		content: attr(data-label);
		position: absolute;
		left: 0;
		width: 50%;
		padding-left: 15px;
		padding-right: 15px;
		text-align: left;
	}

#expansion {
	width: 0px;
	position: absolute;
	animation: expand 2s forwards;
}

@keyframes expand {
	0% {
		width: 0%;
	}

	25% {
		width: 25%;
	}

	50% {
		width: 50%;
	}

	100% {
		width: 100%;
	}
}

.calendarEvent {
	border-radius: 10px;
	border: solid 1px grey;
	text-align: center;
	margin-bottom: 10px;
	background-color: lightblue;
}


ul {
	padding-left: 1rem;
}

.MyHighlightClass {
	color: navy !important;
	background-color: lightskyblue !important;
	cursor: pointer;
	text-decoration: underline;
}

caption {
	padding-top: 0px;
	padding-bottom: 0px;
	color: black;
	text-align: center;
	caption-side: top;
}

.modal-dialog {
	position: relative;
	width: auto;
	margin: .5rem;
	pointer-events: none;
}

@media (min-width: 768px) {
	.modal-dialog {
		width: 50%;
		max-width: none;
		margin: 1.75rem auto;
	}
}

@media only screen and (max-width: 768px) {
	html, body {
		font-size: 12px
	}



	.TypesSection {
		flex-flow: unset;
	}

	.ClassesSection {
		flex-flow: unset;
	}

	.ClassCardContainer {
		margin: 20px 0px 0px 20px;
		width: calc(55% - 20px);
	}

	table {
		font-size: 1rem !important;
	}

	.DateWrapper {
		width: 100% !important;
	}

	.logoimage {
		max-width: 150px !important;
		float: left;
	}

	.Address-md-block {
		display: block;
	}




	#EmployeeDetails img {
		margin: 0 auto;
		display: block;
		width: 50% !important;
	}

	#outPopUp {
		top: 50% !important;
	}

	.MetricDiv {
		font-size: 1rem;
	}

		.MetricDiv h6 {
			/*      font-size: 0.8rem;
*/
		}

	#RequestButton {
		width: 100% !important;
	}


	.fixme {
		position: sticky;
		top: 0;
		background-color: #eff5f5;
		z-index: 1000;
	}
}



/*======
  Forms

=========*/





.login-container {
	width: 100%;
	height: 100vh;
}

.wrapper {
	max-width: 390px;
	background: #fff;
	padding: 30px;
	border-radius: 5px;
	box-shadow: 0px 15px 20px rgba(0,0,0,0.1) !important;
	margin: auto;
}

	.wrapper .title-text {
		display: flex;
		width: 100%;
	}

	.wrapper .title {
		width: 100%;
		font-size: 35px;
		font-weight: 600;
		text-align: center;
	}

	.wrapper .form-container {
		width: 100%;
	}

.form-container .field {
	height: 50px;
	width: 100%;
	margin-top: 20px;
}

.form-inner input,
.form-inner select {
	height: 100%;
	width: 100%;
	outline: none;
	padding-left: 15px;
	font-size: 17px;
	border-radius: 5px;
	border: 1px solid lightgrey;
	border-bottom-width: 2px;
}

.field input:disabled {
	background: lightgrey !important;
}

.form-inner .pass-link {
	margin-top: 5px;
}

.form-inner a {
	color: #fa4299;
	text-decoration: none;
}

.form-inner input:focus {
	border-color: #fc83bb;
}

.form-inner a:hover {
	text-decoration: underline;
}

.form input[type=submit] {
	background: -webkit-linear-gradient(left, #020024, #246370);
	color: #fff;
	font-size: 20px;
	font-weight: 500;
	padding-left: 0px;
	border: none;
	cursor: pointer;
}

.form input[type=password] {
	border-right: none;
	border-radius: unset;
}

.password {
	display: flex;
}




.passwordhide {
	width: 10% !important;
	height: 100%;
	font-size: 1rem !important;
}

.form-inner input[type=radio] {
	height: auto !important;
	width: auto !important;
}


.Link-List {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

.Link-Item {
	padding: 7px 0;
}

.Link-Title {
	font-size: 17px;
	line-height: normal;
	font-weight: bold;
}

.DateWrapper {
	width: 25%;
	margin-bottom: 1.25rem;
}

	.DateWrapper select {
		width: 100%;
	}

	.DateWrapper div {
		width: 100%;
	}

	.DateWrapper input {
		float: right;
	}


.tooltiper {
	position: relative;
	display: inline-block;
}

	.tooltiper .tooltiptext {
		visibility: hidden;
		width: 120px;
		text-align: center;
		border-radius: 6px;
		padding: 5px 0;
		/* Position the tooltip */
		position: absolute;
		z-index: 1;
		margin: 0px 0px 0px 10px;
		background-color: black;
		color: white;
		transition: opacity 1s ease;
	}

		/*  .tooltiper:hover .tooltiptext {
    visibility:visible;
  }*/

		.tooltiper .tooltiptext::after {
			content: " ";
			position: absolute;
			top: 20%;
			right: 100%; /* To the left of the tooltip */
			margin-top: -5px;
			border-width: 5px;
			border-style: solid;
			border-color: transparent black transparent transparent;
		}


.MetricDiv {
	text-align: center;
}

#EmployeeDashboard .col-12 {
	margin-bottom: 0px;
}

#RequestButton {
	width: 50%;
	display: inline-grid;
	align-content: center;
}

.carousel {
	position: relative;
	height: 100%;
	width: 50%;
	margin: 0 auto;
}

.carousel_button {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	border: 0;
	cursor: pointer !important;
}

.carousel_button_left {
	left: -40px;
}

.carousel_button_right {
	right: -40px;
}

.carousel_track_container {
	position: relative;
	height: 90%;
	overflow: hidden;
}

.carousel_slide {
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	border-radius: 15px;
}



.carousel_track {
	padding: 0;
	margin: 0;
	list-style: none;
	height: 100%;
	position: relative;
	transition: transform 250ms ease-in;
}

.carousel_nav {
	display: flex;
	justify-content: center;
	padding: 10px 0;
	height: 10%;
}

.carousel_indicator {
	border: 0;
	border-radius: 20px;
	width: 15px;
	height: 15px;
	background: rgba(0,0,0,.3);
	margin: 0 12px;
}

.current_slide {
	background: rgba(0,0,0,.75);
}



.logoimage {
	max-width: 100%;
}


.AchievementContainer {
	display: flex;
	justify-content: center;
	align-items: center;
	min-height: 300px;
}

.AchievementCard {
	background-color: rgba(34,51,68,0.7);
	width: 100%;
	border-radius: 10px;
	display: flex;
	height: 100%;
	align-items: center;
}

.TrophyImage {
	font-size: 8rem;
	margin: 15px;
}

.ProgressText {
	color: white;
	font-weight: 700;
	font-size: 2rem;
}

.AchievementTitle {
	color: white;
}

.AchievementDetail {
	margin: 15px;
	width: 75%;
	text-align: end;
}

.FullBar {
	width: 100%;
	background: lightgrey;
	height: 5px;
	border-radius: 5px;
	display: flex;
	align-items: center;
}

.MyProgressBar {
	height: 5px;
	padding: 0px;
	margin: 0px;
	border-radius: 5px;
	background-color: cyan;
	width: 30%;
}

.modal-footer {
	justify-content: flex-start;
	display: block;
}

#EmployeeReview {
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	background: white;
	padding: 10px;
	height: 83vh;
}

.toggleCheckBox {
	position: relative;
	width: 30px;
	height: 16px;
	-webkit-appearance: none;
	background: #c6c6c6;
	outline: none;
	border-radius: 10px;
	box-shadow: inset 0 0 5px rgba(0,0,0,.2);
	/*  transition: .5s;
*/
}

	.toggleCheckBox:checked[type="checkbox"] {
		background: #03a9f4;
	}

	.toggleCheckBox:before {
		content: '';
		position: absolute;
		width: 15px;
		height: 15px;
		border-radius: 20px;
		top: 0;
		left: 0;
		background: #fff;
		transform: scale(1.1);
		box-shadow: 0 2px 5px rgba(0,0,0,.2);
		transition: .5s;
	}

	.toggleCheckBox:checked[type="checkbox"]:before {
		left: 15px;
	}

.progress-bar {
	background-color: #e9ecef;
	border-radius: 10px;
	height: 10px;
	overflow: hidden;
	width: 100%;
}

.progress {
	background-color: #007bff;
	border-radius: 10px;
	height: 100%;
	transition: width 0.3s ease-in-out;
}

.ReviewContainer {
	height: 63vh;
}

.ReviewContent {
	height: 63vh;
	overflow-y: auto;
	border: 1px solid #ccc;
}

/* The Modal (background) */
.modal {
	display: none; /* Hidden by default */
	position: fixed; /* Stay in place */
	z-index: 30 !important; /* Sit on top */
	left: 0;
	top: 0;
	width: 100%; /* Full width */
	height: 100%; /* Full height */
	overflow: auto; /* Enable scroll if needed */
	background-color: rgb(0,0,0); /* Fallback color */
	background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
	background-color: #fefefe;
	margin: 15% auto; /* 15% from the top and centered */
	padding: 20px;
	border: 1px solid #888;
	width: 1250px; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
	color: #aaa;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

	.close:hover,
	.close:focus {
		color: black;
		text-decoration: none;
		cursor: pointer;
	}

/*.UploadBtn{
  font-size:14px;
  background-color:white;
  border-radius:50px;
  box-shadow: 5px 5px 10px black;
  width: 350px;
  outline: none;
}

::-webkit-file-upload-button{
  color: white;
 background:#206a5d;
 padding:20px;
 border:none;
 border-radius: 50px;
 box-shadow: 1px 0 1px 1px #6b4559;
 outline:none;
}

::-webkit-file-upload-button:hover{
  background:#438a5e;
}
*/
/*
.img-text{
  width:100%;
  height:300px;
  display:block;
  text-align:center;
  padding:40% 5%;
  background:#262626;
  color:#fff;
  border-radius:15px;
}

.img-text h2{
  font-size:25px;
  text-transform: uppercase;
  letter-spacing:2px;
}

  .img-text p {
    font-size: 14px;
  }

.single-box{
  position: relative;
  margin-bottom: 30px;
}

.img-area{
  position:absolute;
  width:100px;
  height:100px;
  border:5px solid #fff;
  overflow: hidden;
  top:15px;
  left: 125px;
  border-radius: 50%;
}

.img-area img{
  width:100%;
  color:white;
}

.carousel-indicators {
  left: 0 !important;
  top: auto !important;
  bottom: -70px !important;
}

.carousel-indicators li {
  background: #000;
  border-radius: 50%;
  width: 15px;
  height: 15px;
}


.carousel-indicators .active{
  background:#fff;
}*/
